package cn.minbb.serialport.utils;

public class ByteUtil {

    /**
     * 拼接两个 Byte 数组
     *
     * @param data1 Byte 数组 1
     * @param data2 Byte 数组 2
     * @return 拼接后的数组，长度为两个数组长度之和
     */
    public static byte[] addBytes(byte[] data1, byte[] data2) {
        byte[] data3 = new byte[data1.length + data2.length];
        System.arraycopy(data1, 0, data3, 0, data1.length);
        System.arraycopy(data2, 0, data3, data1.length, data2.length);
        return data3;
    }
}
